------------------------------------------------------------------
2019-08-12 16:54:39 +0200 Martin Preuss
Prepared release 5.8.1 (stable).
5.8.0 indeed was beta since the code for setting the FinTS registration
key wasn't tested well enough.
Meanwhile we could confirm in the 5.7 branch and in the master branch that
this code actually produces the expected results, no other code was changed
or added since 5.7.8, so the new release can be marked stable.

------------------------------------------------------------------
2019-08-11 21:06:44 +0200 Christian Stimming
Don't mark this release "beta", please: 5.7.8 was stable and there were only very few changes.
Hence, 5.8.0 is not more beta than 5.7.8 was, and we should reserve
the "beta" label for those releases which are really more beta than
the stable branch. On the gnucash side this gave rise to some discussion
which is unneeded.

------------------------------------------------------------------
2019-08-08 22:37:50 +0200 Martin Preuss
Prepared release 5.8.0beta.

------------------------------------------------------------------
2018-12-19 23:47:18 +0100 Martin Preuss
BUILD: Only rebuild ChangeLog if there is a .git folder.

------------------------------------------------------------------
2019-08-07 15:19:14 +0200 Martin Preuss
BUILD: Increased version (need to increment SO_VERSION before release!).

------------------------------------------------------------------
2019-08-07 15:12:55 +0200 Martin Preuss
AqHBCI: Fixed a compiler warning.

------------------------------------------------------------------
2019-08-07 15:12:41 +0200 Martin Preuss
AqBanking: Backported support for runtime config data (for FinTS registration).
    For applications using FinTS/HBCI the German ZKA requiries applications
    to be registered (see https://www.hbci-zka.de/register/prod_register.htm).
    The registration key must somehow be passed from the application directly
    to AqHBCI across interal layers which is normally not supported.
    With this mechanism applications can provide some runtime data to AqBanking
    (in this case the FINTS registration number) which is then picked up by
    backends (in this case AqHBCI).

    Runtime config data persists as long as the AB_BANKING object exists, so
    applications should set the variables immediately after calling
    AB_Banking_new() and before calling AB_Banking_Init().

    For the particular case of providing the FINTS registration number the
    following runtime variables are recognized by AqHBCI:
    - "fintsRegistrationKey" (char): FINTS registration number
    - "fintsApplicationVersionString" (char): major/minor version of the application (e.g. "1.2")

------------------------------------------------------------------
2019-02-21 18:24:57 +0100 Martin Preuss
Added missing includes.

------------------------------------------------------------------
2018-06-14 23:29:34 +0200 Martin Preuss
Fixed a typo in previous commit.

------------------------------------------------------------------
2018-06-14 22:46:07 +0200 Martin Preuss
CLI: "listaccs" now also shows BIC, IBAN, unique account id and account type.

------------------------------------------------------------------
2018-06-14 22:24:25 +0200 Martin Preuss
CLI: In "sepaTransfer" "accountType" and "iban" can now be used to specify a local account.
Use function AB_Banking_FindAccounts2() now.

------------------------------------------------------------------
2018-06-14 22:21:12 +0200 Martin Preuss
Added functions to translate account types. - AB_AccountType_toChar() - AB_AccountType_fromChar()
Also added enum "AB_AccountType_Invalid".

------------------------------------------------------------------
2018-04-01 23:36:55 +0200 Christian Stimming
Fix windows type error in callback.
Reported by John Ralls.

------------------------------------------------------------------
2018-02-11 02:32:10 +0100 Martin Preuss
Changed version tag to "stable".

------------------------------------------------------------------
2018-02-11 02:21:57 +0100 Martin Preuss
Prepared release 5.7.8.

------------------------------------------------------------------
2018-02-11 02:16:21 +0100 Martin Preuss
Updated German bankinfo files.

------------------------------------------------------------------
2018-02-11 01:39:19 +0100 Martin Preuss
Updated German bankinfo files.

------------------------------------------------------------------
2018-02-11 01:38:44 +0100 Martin Preuss
German bankinfo: CSV format of ZKA file has changed, adapt.

------------------------------------------------------------------
2018-02-11 01:42:05 +0100 Martin Preuss
Increased BUILD version.

------------------------------------------------------------------
2018-02-10 18:20:20 +0100 Martin Preuss
Prepared release 5.7.7.

------------------------------------------------------------------
2018-02-10 18:20:05 +0100 Martin Preuss
Updated Germam bankinfo files.

------------------------------------------------------------------
2017-05-23 20:24:38 +0200 Martin Preuss
Fixed a typo.

------------------------------------------------------------------
2018-01-04 17:33:54 +0100 Martin Preuss
Added a 2nd stop condition.

------------------------------------------------------------------
2018-01-04 17:19:15 +0100 Martin Preuss
Added a patch provided by "Uli".
This patch should fix the problem with truncated account numbers in local
accounts.

------------------------------------------------------------------
2017-07-30 15:26:51 +0200 Martin Preuss
Revert "Adapted to latest changes in Gwen in GWEN_GetPassword()."
This reverts commit 33e0cab61f9271365cc793a41f7d8f399dd3856a.

------------------------------------------------------------------
2017-07-30 15:21:27 +0200 Martin Preuss
AqHBCI: "aqhbci-tool4 getsysid" first retrieves the bank cert.
Normally the certificate should be retrieved with
"aqhbci-tool4 getsysid".

However, if this step is omitted the user has to input the pin upon
"getsysid" before the certificate is presented to him for approval.

When explicitly retrieving the certificate here the user only has to
provide the pin after accepting the cert.

Anyway, the pin or other relevant data is (and always has been) in any
case only sent to the server *AFTER* the certificate has been accepted.

------------------------------------------------------------------
2017-07-30 15:14:29 +0200 Martin Preuss
Adapted to latest changes in Gwen in GWEN_GetPassword().

------------------------------------------------------------------
2017-06-01 19:53:41 +0200 Martin Preuss
Fixed a bug.

------------------------------------------------------------------
2017-05-25 16:52:04 +0200 Martin Preuss
AqHBCI: Simplified reading data from segment AccountData.
We had multiple locations for the same code which were out of sync. Use
only one location now.

------------------------------------------------------------------
2017-05-24 17:00:45 +0200 Martin Preuss
Fixed function declarations for callbacks.

------------------------------------------------------------------
2017-04-20 22:52:48 +0200 Martin Preuss
Fixed a typo.

------------------------------------------------------------------
2017-04-17 21:18:25 +0200 root
Stop using a deprecated function.
GWEN_Gui_SetPasswordDb() should be used instead of the deprecated function
GWEN_Gui_CGui_SetPasswordDb().

------------------------------------------------------------------
2017-04-17 21:17:13 +0200 root
Fixed a GCC warning.

------------------------------------------------------------------
2017-03-05 12:01:17 +0100 Martin Preuss
Prepared release 5.7.6beta.

------------------------------------------------------------------
2017-03-05 02:02:29 +0100 Martin Preuss
AqHBCI: Fixed dialog creation for Pin/TAN mode (should fix TLS premature end)
This should fix the problem with premature closing of TLS connections by
some hosts, which hangup before the TLS protocol was properly shut down.

------------------------------------------------------------------
2017-02-27 22:14:58 +0100 Martin Preuss
AqPaypal zu meinem Standard-Target hinzugefuegt.

------------------------------------------------------------------
2017-02-27 22:14:34 +0100 Martin Preuss
Nicht-existente Datei entfernt.

------------------------------------------------------------------
2017-02-27 22:14:08 +0100 Martin Preuss
AqPaypal zum target "DIST" wieder hinzugefuegt.

------------------------------------------------------------------
2017-02-26 19:10:38 +0100 Martin Preuss
Prepared release 5.7.5beta.

------------------------------------------------------------------
2017-02-26 19:06:02 +0100 Martin Preuss
Updated German bankinfo.

------------------------------------------------------------------
2017-02-26 18:53:00 +0100 Martin Preuss
Update of German and Swiss section in bankinfo (Patch by Frank  H. Ellenberger)

------------------------------------------------------------------
2017-02-05 21:55:30 +0100 Christian Stimming
Add symlink for recently introduced internal header.

------------------------------------------------------------------
2017-01-14 15:59:10 +0100 Holger Magnussen
Support for HKWPD/HIWPD added (get balance of investment accounts)
Added the support for FinTS HKWPD and HIWPD, which allows to get name / quantity / price of all securities in an investment account. This is made available as a securityList at the interface to the banking software. Note that HKWDU/HIWDU for getting the respective transactions is not (yet) supported.

------------------------------------------------------------------
2016-12-11 16:23:41 +0100 Martin Preuss
Updated de.po file (merged translatable strings into this file).

------------------------------------------------------------------
2016-12-11 16:23:13 +0100 Martin Preuss
Added section about translation to README.

------------------------------------------------------------------
2016-12-11 16:14:18 +0100 Martin Preuss
Added Holger Magnussen to the list of contributors under the Modified BSD license.
As agreed per email (2016/12/10).

------------------------------------------------------------------
2016-12-10 23:47:04 +0100 Holger Magnussen
Altes PayPal-Backend reaktiviert und erweitert
- Alte PayPal-Version aus aqbanking 5.4.x reaktiviert
- Funktionalität repariert
- Fehlende Gui-Dialogs hinzugeführt
- Ergänzt um Abfrage der Account Balance

------------------------------------------------------------------
2016-12-10 16:51:36 +0100 Martin Preuss
Added widgets for server url editing to EditUser dialogs in RDH and DDV mode.

------------------------------------------------------------------
2016-12-08 20:06:08 +0100 Martin Preuss
Unvollstaendiges Anlegen von Dummy-Accounts
Bei getkeys wird ein Dummy-Account von der (Deutschen) Bank mit der Kontonummer 9999999999 zurückgeschickt,
aber ohne Account Name und Bank Name. Wenn diese Variablen leer sind, werden sie mit Dummies belegt.

Signed-off-by: Martin Preuss <martin@aquamaniac.de>

------------------------------------------------------------------
2016-12-07 17:38:52 +0100 Martin Preuss
AqHBCI: Fixed a bug.

------------------------------------------------------------------
2016-12-07 17:26:07 +0100 Martin Preuss
AqHBCI: Real hard work on ZKA-Card and RDH9 implementation by Holger Magnussen (Thanks!!!)

------------------------------------------------------------------
2016-11-27 21:27:49 +0100 Christian Stimming
Revert erroneous part in 0651f040 for transfers
For transfers (as opposed to direct debits), an unknown
BIC should leave out the whole "CdtrAgt" tag and does not
specify any NOTPROVIDED content instead.

------------------------------------------------------------------
2016-11-05 00:09:07 +0100 Martin Preuss
AqHBCI: Decreased verbosity.

------------------------------------------------------------------
2016-11-05 00:08:31 +0100 Martin Preuss
AqHBCI: Finally fixed AH_Job_GetAccountSepaInfo_Process().
Works now as expected.

------------------------------------------------------------------
2016-11-04 23:46:40 +0100 Martin Preuss
AqHBCI: Added missing "else".

------------------------------------------------------------------
2016-11-04 23:46:16 +0100 Martin Preuss
Fixed AH_Job_GetAccountSepaInfo_Process() to handle multiple accounts
The HBCI job "HKSPA" was expected to return only data for the account
for which it was requested.

However, at least NetBank seems to return data for multiple accounts,
so we need to handle that situation.

------------------------------------------------------------------
2016-09-25 00:57:14 +0200 R.Weiner
HKCDL und HKCDN for 'Commerzbank' and banks with AllowChgFirstDate="N"

------------------------------------------------------------------
2016-10-16 16:28:17 +0200 R.Weiner
Gives better help information for HKCDL and HKCDN in 'aqbanking-cli sepasto'

------------------------------------------------------------------
2016-10-27 22:34:40 +0200 Christian Stimming
Minor improved error message output when checking transaction date limits.

------------------------------------------------------------------
2016-10-25 22:27:09 +0200 Martin Preuss
AqHBCI: Added missing handling of bank name (thanks to Wolfgang)

------------------------------------------------------------------
2016-10-22 20:59:03 +0200 Christian Stimming
SEPA debit and credit: When skipping BIC, an extra Othr/Id/NOTPROVIDED content must be provided.
This seems to be ignored by the previous implementation and
somehow nobody ran into a bank that complained about it, but
the specification clearly says either FinInstnId/BIC or
FinInstnId/Other/Id=NOTPROVIDED must be given, both for
debit and credit.

------------------------------------------------------------------
2016-10-18 22:15:31 +0200 Christian Stimming
Minor improvement in debug output.

------------------------------------------------------------------
2016-10-16 22:19:20 +0200 Christian Stimming
Fix wrong documentation string of toDate option.

------------------------------------------------------------------
2016-10-12 18:44:33 +0200 Martin Preuss
Prepared release 5.7.4beta.

------------------------------------------------------------------
2016-10-10 23:18:27 +0200 Martin Preuss
Fix a problem with a previous release.
The latest beta releases did in some cases store accounts without a unique
id (i.e. "0"), this can make AqBanking crash at some point. So upon loading
of an account the id is now set if it was 0.

------------------------------------------------------------------
2016-10-10 23:09:03 +0200 Martin Preuss
Fixed some bugs in new account update code.

------------------------------------------------------------------
2016-10-07 20:49:45 +0200 Martin Preuss
Prepared release 5.7.3beta.

------------------------------------------------------------------
2016-10-07 17:15:33 +0200 Martin Preuss
Fixed a bug in AqHBCI (was preventing new accounts from being added).

------------------------------------------------------------------
2016-10-04 20:05:35 +0200 Martin Preuss
Fixed flag name (ignPrematureClose -> tlsIgnPrematureClose).

------------------------------------------------------------------
2016-10-04 20:02:14 +0200 Martin Preuss
AH_User_Flags_from/toDb: Handle more user flag.
Added flags AH_USER_FLAGS_USE_STRICT_SEPA_CHARSET and
AH_USER_FLAGS_TLS_IGN_PREMATURE_CLOSE.

------------------------------------------------------------------
2016-09-20 22:02:11 +0200 Elias Oltmanns
AqHBCI-Tool4: Document sethbciversion command.

------------------------------------------------------------------
2016-09-20 21:50:56 +0200 Martin Preuss
Prepared relase 5.7.2beta.

------------------------------------------------------------------
2016-09-20 21:46:03 +0200 Martin Preuss
Patch by Thomas Bettler for yellownet importer: Handle each single transaction, thus each SG6 in AB_ImExporterYN__ReadLNE_LNS()

------------------------------------------------------------------
2016-08-14 17:17:09 +0200 Martin Preuss
Fixed a bug in job_commit.c
AB_Banking_CreateAccount() already assigns a unique id, so every account
will have a unique id already at creation time. So we need to clear that
id if we want to use a missing uniqueId to check whether an account is new.

------------------------------------------------------------------
2016-07-26 17:00:55 +0200 Martin Preuss
Fixed a problem in as-scrub-include.m4 (patch by Thomas Baumgart from KMyMoney)

------------------------------------------------------------------
2016-07-25 22:44:32 +0200 Martin Preuss
Removed another unneeded file.

------------------------------------------------------------------
2016-07-25 22:40:05 +0200 Martin Preuss
AqHBCI: Removed deprecated jobs.
The jobs removed are no longer supported by most banks, so there is no
need to keep those around and to maintain them.

------------------------------------------------------------------
2016-07-25 17:00:54 +0200 Martin Preuss
Prepared release 5.7.1beta.

------------------------------------------------------------------
2016-07-25 17:00:39 +0200 Martin Preuss
Fixed AH_Job_new(), now takes a pointer to an account.
This fixes the problem introduced by the last release: Account jobs stopped
working until the account list was requested from the server again.

------------------------------------------------------------------
2016-07-24 23:08:31 +0200 Martin Preuss
Need to work on AH_Job_new().

------------------------------------------------------------------
2016-07-24 22:37:19 +0200 Martin Preuss
Removed debug output.

------------------------------------------------------------------
2016-07-24 20:43:11 +0200 Martin Preuss
Prepared release 5.7.0beta.

------------------------------------------------------------------
2016-07-24 20:42:56 +0200 Martin Preuss
AqHBCI: Modify account type.

------------------------------------------------------------------
2016-07-24 20:36:25 +0200 Martin Preuss
Use debug flags for my own Makefile.cvs targets.

------------------------------------------------------------------
2016-07-24 20:36:07 +0200 Martin Preuss
AqHBCI: Improved account recognition
- simplified AccountData segments (removed AccountData2)
- split AH_Job__CommitSystemData() into multiple functions
  - AH_Job__Commit_Accounts()
  - AH_Job__Commit_Bpd()
- UPD jobs are now stored by account unique id. This also works for
  multiple accounts with same combinations of IBAN, bank code and account nr
- changed constructor AH_Job_new()
- removed field "accountId" from AH_JOB
- jobResponse groups in GWEN_DB: Assign the response name the main response
  group within such a DB (AH_JobQueue_DispatchMessage) to simplify access
- add field dbTempUpd to AH_ACCOUNT (used to temporarily store UPD for caller)

------------------------------------------------------------------
2016-07-24 20:29:43 +0200 Martin Preuss
Added functions (NOTE: Need to increment AQBANKING_SO_CURRENT before next release!)
Added functions:
- AB_Account_HasUser()
- AB_Account_HasSelectedUser()
- functions for AB_Account_List
- AB_Banking_FindAccount2()
- AB_Banking_FindAccounts2()

Added enums:
- AB_AccountType_Credit
- AB_AccountType_Last

------------------------------------------------------------------
2016-07-21 23:34:20 +0200 Martin Preuss
Added some TODOs to work on this weekend...

------------------------------------------------------------------
2016-07-18 19:03:32 +0200 Martin Preuss
Prepared release 5.6.12.

------------------------------------------------------------------
2016-07-18 18:56:39 +0200 Martin Preuss
Added disabled debug messages to track down a problem.

------------------------------------------------------------------
2016-07-16 00:37:35 +0200 Martin Preuss
SWIFT: Improved handling of ABWA+ and ABWE+ SEPA tags.

------------------------------------------------------------------
2016-07-14 23:45:39 +0200 Martin Preuss
Added handling of new flag AH_USER_FLAGS_TLS_IGN_PREMATURE_CLOSE to dialog.
This flag is now also handled by the "Edit User" dialog.

------------------------------------------------------------------
2016-07-14 22:58:42 +0200 Martin Preuss
Prepared release 5.6.11.

------------------------------------------------------------------
2016-07-14 22:52:21 +0200 Martin Preuss
AqHBCI: Added flag AH_USER_FLAGS_TLS_IGN_PREMATURE_CLOSE
This flag is used to make GWEN ignore a premature close of an SSL
connection by faulty servers.

The built-in special Pin/TAN dialog now handles this flag.

------------------------------------------------------------------
2016-07-09 18:55:24 +0200 Martin Preuss
SWIFT: Check for SEPA tags "ABWA+" and "ABWE+".
"ABWA+" stands for "Abweichender SEPA Auftraggeber" (deviating
remote name) which obviously some banks use instead of the normal fields.

"ABWE+" stands for "Abweichender SEPA Empfaenger (deviating
local name), which we now also read.

------------------------------------------------------------------
2016-05-30 21:58:56 +0200 Elias Oltmanns
AqHBCI: Choose SEPA descriptor for HKCDB supported by AqBanking.

------------------------------------------------------------------
2016-05-29 15:21:49 +0200 Elias Oltmanns
Add support to modify SEPA standing orders to AqBanking and AqHBCI.

------------------------------------------------------------------
2016-05-29 15:18:56 +0200 Elias Oltmanns
AqBanking-CLI: Remove superfluous checks
SEPA conformity and field limit checks are taken care of by the
library. Interactive (gui) applications might perform those checks
themselves and give their users a chance to make corrections as
necessary, but AqBanking-CLI simply aborts which is no more graceful
than what the library does.

------------------------------------------------------------------
2016-05-29 14:58:00 +0200 Elias Oltmanns
AqBanking-CLI: Minor fixes and adjustments
- Allow deleting SEPA standing orders that have not been assigned an
  fiId by the bank (compliant with FinTS 3.0).
- Do not, on the other hand, allow modifying SEPA standing orders
  without an fiId. This seems to be more restrictive than the specs
  but is really the only thing to do safely. There is always the
  option to delete and recreate standing orders in case the bank does
  not asign fiIds.
- Adjust help string for the command sepaSto (a matter of taste, I
  suppose).
- Do some clean up as to what headers are explicitly included.

------------------------------------------------------------------
2016-01-29 14:51:09 +0100 R.Weiner
New Options for 'aqbanking-cli sepasto' (HKCDE/HKCDL/HKCDN)
EXAMPLES:
aqbanking-cli  sepasto  --create .. --firstExecutionDate="20150802" .. (HKCDE)
aqbanking-cli  sepasto  --delete ..  --nextExecutionDate="20160602" .. (HKCDL)
aqbanking-cli  sepasto  --modify ..  --nextExecutionDate="20160602" .. (TODO !)

------------------------------------------------------------------
2016-05-21 15:19:41 +0200 Heiko Becker
Allow using a prefixed cpp
Signed-off-by: Micha Lenk <micha@lenk.info>
